FreeBSD : p7zip -- heap-based buffer overflow (6d337396-0e4a-11e8-94c0-5453ed2e2b49)

Medium Nessus Plugin ID 106735


The remote FreeBSD host is missing a security-related update.


MITRE reports :

Heap-based buffer overflow in the NCompress::NShrink::CDecoder::CodeReal method in 7-Zip before 18.00 and p7zip allows remote attackers to cause a denial of service (out-of-bounds write) or potentially execute arbitrary code via a crafted ZIP archive.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 106735

File Name: freebsd_pkg_6d3373960e4a11e894c05453ed2e2b49.nasl

Version: $Revision: 3.3 $

Type: local

Published: 2018/02/12

Modified: 2018/02/20

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P


Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:p7zip, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/02/10

Vulnerability Publication Date: 2018/01/23

Reference Information

CVE: CVE-2017-17969